Bug 484152 - VTd: changeset 13 of 16: emulate accesses to PCI regs cf8/crc
VTd: changeset 13 of 16: emulate accesses to PCI regs cf8/crc
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On: 484151
Blocks: 331741 484153
  Show dependency treegraph
 
Reported: 2009-02-04 19:08 EST by Don Dugger
Modified: 2014-07-24 23:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 10:28:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
emulate accesses to PCI regs cf8/crc (15.70 KB, patch)
2009-02-04 19:08 EST, Don Dugger
no flags Details | Diff

  None (edit)
Description Don Dugger 2009-02-04 19:08:41 EST
Created attachment 330946 [details]
emulate accesses to PCI regs cf8/crc

Description of patch:

Emulate accesses to PCI window registers cf8/cfc to synchronise
with accesses by the hypervisor itself. All users of cf8/cfc go
through new access functions which take the appropriate spinlock.

Dom0 will access PCI window register cf8/cfc, now hypervisor also
accesses PCI configure space using PCI window register cf8/cfc for VT-d.
So it's possible that there is conflict, though the possibility is
very small. This patch emulates accesses to PCI window registers cf8/cfc
to synchronise with accesses by the hypervisor itself, then fixes the
issue.

BTW, there are still many changes on I/O port access between RHEL 5.4
and xen-unstable, the but they are not necessary for VT-d, we didn't
backport them, so you can find two difference between this patch and
xen-unstable: there are no check_guest_io_breakpoint() and
pv_post_outb_hook() in traps.c in RHEL 5.4.

Upstream Status: Accepted (CS 17441, 17465)
Comment 1 Don Dugger 2009-02-05 10:28:42 EST
Process error, don't need a separate BZ per patch

Note You need to log in before you can comment on or make changes to this bug.